<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="namespaceOgre_1_1RTShader.html">RTShader</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">ProgramProcessor</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html">MergeParameter</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::RTShader::ProgramProcessor::MergeParameter Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html">Ogre::RTShader::ProgramProcessor::MergeParameter</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#a0de9735cb11ef86fcc3b4e11c6194fc3">addSourceParameter</a>(ParameterPtr srcParam, int mask)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html">Ogre::RTShader::ProgramProcessor::MergeParameter</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#ab4838c26fbf3c04039883d8a1cd947e5">clear</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html">Ogre::RTShader::ProgramProcessor::MergeParameter</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#af27d4de088c9eae62923c663c0d3432b">createDestinationParameter</a>(int usage, int index)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html">Ogre::RTShader::ProgramProcessor::MergeParameter</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#a39e7b9d32759bb32615e8464daf0e2a0">getDestinationParameter</a>(int usage, int index)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html">Ogre::RTShader::ProgramProcessor::MergeParameter</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#ab0f42e37e7832ec1c7a8cf9fb144d2ed">getDestinationParameterMask</a>(unsigned int index) const </td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html">Ogre::RTShader::ProgramProcessor::MergeParameter</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#adff8f04ad3d1d7e9b0df387d51acca02">getSourceParameter</a>(unsigned int index)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html">Ogre::RTShader::ProgramProcessor::MergeParameter</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#a50184aa6145aacb52c3bb0646bf99616">getSourceParameterCount</a>() const </td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html">Ogre::RTShader::ProgramProcessor::MergeParameter</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#ae57b334bf47ef57b7cf4efc1ae6a7fc1">getSourceParameterMask</a>(unsigned int index) const </td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html">Ogre::RTShader::ProgramProcessor::MergeParameter</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#a9fada2ad581958e43d5188e8396ad1fa">getUsedFloatCount</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html">Ogre::RTShader::ProgramProcessor::MergeParameter</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#ac90ba3de55672229fe80e9724e6de4b0">mDstParameter</a></td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html">Ogre::RTShader::ProgramProcessor::MergeParameter</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#a105644410a8a59b0146ccffdf531adfd">mDstParameterMask</a></td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html">Ogre::RTShader::ProgramProcessor::MergeParameter</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#a291c2b1db95fe987cdb4db2dd065e798">MergeParameter</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html">Ogre::RTShader::ProgramProcessor::MergeParameter</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#a80410761869471108fb0e4b73b4f106b">mSrcParameter</a></td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html">Ogre::RTShader::ProgramProcessor::MergeParameter</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#afe2a4539206198072d74a3f43d62ef56">mSrcParameterCount</a></td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html">Ogre::RTShader::ProgramProcessor::MergeParameter</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#ac46769ec8723babd331b00b0d032b903">mSrcParameterMask</a></td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html">Ogre::RTShader::ProgramProcessor::MergeParameter</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#ab162cd2e87c41aa7f73f1a2cea3e3039">mUsedFloatCount</a></td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html">Ogre::RTShader::ProgramProcessor::MergeParameter</a></td><td><code> [protected]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:33
</p>
</body>
</html>
